#ifndef BEAMUPFILEMONITOR_H
#define BEAMUPFILEMONITOR_H

#include <QObject>

class BeamupFileMonitor : public QObject
{
    Q_OBJECT
public:
    explicit BeamupFileMonitor(QObject *parent = 0);

    bool nativeEventDriveDetection(const QByteArray &eventType, void *message, long *result);

    QStringList removeableDisks;

    void enumDisks();

signals:

public slots:
    void cleanUp();
};

#endif // BEAMUPFILEMONITOR_H
